Index: /trunk/workflow/inc/report/includes/css/base_form.css
===================================================================
--- /trunk/workflow/inc/report/includes/css/base_form.css	(revision 5307)
+++ /trunk/workflow/inc/report/includes/css/base_form.css	(revision 6413)
@@ -14,12 +14,11 @@
 	font-size: 100%;
 	font-family: inherit;
-	
+
 }
 :focus { outline: 0;}
 a, a:link, a:visited, a:hover, a:active{text-decoration:none}
-table { border-collapse: separate;border-spacing: 0;}
-th, td { font-weight: normal;}
+table { border-collapse: separate; border-spacing: 0; padding: 1; margin: 1;}
+th, td { font-weight: normal; padding: 1; margin: 1;}
 img, iframe {border: none; text-decoration:none;}
-/*ol, ul {list-style: none;}*/
 input, textarea, select, button {font-size: 100%;font-family: inherit;}
 select {margin: inherit;}
@@ -27,11 +26,4 @@
 /* ------------------------------------------------------------------------------------------------------------------- */
 
-
-
-
-
-
-
-
 body {
     margin: 0px 0px 0px 0px;
@@ -48,5 +40,5 @@
     color: #3B5CA1;
     text-decoration: none;
-    font-family: Verdana, Arial, Helvetica, sans-serif; 
+    font-family: Verdana, Arial, Helvetica, sans-serif;
     font-size: 11px;
 }
@@ -54,5 +46,5 @@
 a:hover {
     text-decoration: underline;
-    font-family: Verdana, Arial, Helvetica, sans-serif; 
+    font-family: Verdana, Arial, Helvetica, sans-serif;
     font-size: 11px;
 }
@@ -84,5 +76,5 @@
     font-family: Verdana, Arial, Helvetica, sans-serif;
     font-size: 10px;
-    color: #000000; /*#164C7A;*/
+    color: #000000;
     font-weight : bold;
     text-align: left;
@@ -98,12 +90,5 @@
     margin-left: 8px;
     margin-right: 8px;
-   /* white-space: nowrap; */
-}
-
-
-
-
-
-
+}
 
 /*********  TABELAS E RESULTADOS *********/
@@ -113,6 +98,4 @@
     border: 1px solid #94ADC2;
     width:98%;
-    padding: 0px 0px 0px 0px;
-    margin: 0px 0px 10px 0px;
     clear: left;
     background-color:#FFFFFF;
@@ -122,7 +105,6 @@
     height: 16px;
     background-image: url("../../images/fundo.gif");
-    margin-right:3px;
-    height: 20px;
-    
+    height: 20px;
+
 }
 
@@ -134,29 +116,21 @@
 .tableSubTitulo{
     height: 14px;
-    /*border: 0px solid #FFFFFF;*/
 	background-color: #E6EAEE;
-	margin-right: 3px;
 	height: 20px;
 }
 
-.tableTituloColunas{   
+.tableTituloColunas{
     height: 14px;
-    
 	background-color: #BAD0E5;
     height: 20px;
-	margin: 0px 0px 0px 0px;
-	margin-right:3px;
-}
-
-.tableTituloColunas td{   
-    margin: 4px 0px 4px 0px;
+}
+
+.tableTituloColunas td{
     border-right: solid 1px #FFFFFF;
     border-bottom : 1px solid #FFFFFF;
 }
 
-
 .tableRodapeModelo1{
     background-color: #BAD0E5;
-    margin: 4px 0px 4px 0px;
     border-bottom: solid 1px #FFFFFF; border-right: solid 1px #FFFFFF; border-left: solid 1px #FFFFFF;
     height: 20px;
@@ -165,5 +139,4 @@
 .tableRodapeModelo2{
     background-color: #B1CBDE;
-    margin: 4px 0px 4px 0px;
     border-bottom: solid 1px #FFFFFF; border-right: solid 1px #FFFFFF; border-left: solid 1px #FFFFFF;
     height: 20px;
@@ -172,48 +145,37 @@
 .tableRodapeModelo3{
     background-color: #AABFD2;
-    margin: 4px 0px 4px 0px;
     border-bottom: solid 1px #FFFFFF; border-right: solid 1px #FFFFFF; border-left: solid 1px #FFFFFF;
     height: 20px;
 }
 
-.tableRodapeModelo1 td { 
-	margin: 4px 0px 4px 0px; 
-	border-bottom: solid 1px #FFFFFF; 
-	border-right: solid 1px #FFFFFF; 
-	border-left: solid 1px #FFFFFF; 
-}
-
-.tableRodapeModelo2 td { 
-    margin: 4px 0px 4px 0px; 
-    border-bottom: solid 1px #FFFFFF; 
-    border-right: solid 1px #FFFFFF; 
-    border-left: solid 1px #FFFFFF; 
-}
-
-.tableRodapeModelo3 td { 
-    margin: 4px 0px 4px 0px; 
-    border-bottom: solid 1px #FFFFFF; 
-    border-right: solid 1px #FFFFFF; 
-    border-left: solid 1px #FFFFFF; 
-}
-
- table {
-    border-collapse: separate;
-    border-spacing: 0px;
-    margin: 0px 0px 0px 0px;
-    padding: 0px 0px 0px 0px;
-    empty-cells: show !important;
+.tableRodapeModelo1 td {
+	border-bottom: solid 1px #FFFFFF;
+	border-right: solid 1px #FFFFFF;
+	border-left: solid 1px #FFFFFF;
+}
+
+.tableRodapeModelo2 td {
+    border-bottom: solid 1px #FFFFFF;
+    border-right: solid 1px #FFFFFF;
+    border-left: solid 1px #FFFFFF;
+}
+
+.tableRodapeModelo3 td {
+    border-bottom: solid 1px #FFFFFF;
+    border-right: solid 1px #FFFFFF;
+    border-left: solid 1px #FFFFFF;
 }
 
 table {
+	border-collapse: separate;
+	border-spacing: 0px;
+	empty-cells: show !important;
 	max-width: 100%;
-   * border-collapse:collapse !important;
-   * border-spacing:1px 1px !important;
-   _ border-collapse:collapse !important;
-   _ border-spacing:1px 1px  !important; 
-   outline: 0;
-   padding: 0;
-   margin: 0;
-   border: 0;
+	* border-collapse:collapse !important;
+	* border-spacing:1px 1px !important;
+	_ border-collapse:collapse !important;
+	_ border-spacing:1px 1px  !important;
+	outline: 0;
+	border: 0;
 }
 
@@ -221,10 +183,4 @@
     border-spacing: 0 !important;
 }
-
-tr {
-
-    margin: 0px 0px 0px 0px;
-    padding: 0px 0px 0px 0px;
-}  
 
 td{
@@ -260,5 +216,5 @@
     background-color: #F9E5A9 /* #FDF3D9 */;
     border: 0px solid #FFFFFF;
-    
+
 }
 
@@ -270,29 +226,29 @@
     background-color: #F9E5A9;
     border: 0px solid #FFFFFF;
-    
-}
-
-.tdc td { 
-	border-right: solid 1px #FFFFFF; 
-	border-bottom: solid 1px #FFFFFF; 
-	padding: 0px 3px 0px 3px ! important;
-}
-
-.tde td { 
-    border-right: solid 1px #FFFFFF; 
-    border-bottom: solid 1px #FFFFFF; 
-    padding: 0px 3px 0px 3px ! important;
+
+}
+
+.tdc td {
+	border-right: solid 1px #FFFFFF;
+	border-left: solid 1px #FFFFFF;
+	border-bottom: solid 1px #FFFFFF;
+}
+
+.tde td {
+    border-right: solid 1px #FFFFFF;
+	border-left: solid 1px #FFFFFF;
+    border-bottom: solid 1px #FFFFFF;
 }
 
 .tdcOver td {
-    border-right: solid 1px #FFFFFF; 
-    border-bottom: solid 1px #FFFFFF; 
-    padding: 0px 3px 0px 3px ! important;
+    border-right: solid 1px #FFFFFF;
+	border-left: solid 1px #FFFFFF;
+    border-bottom: solid 1px #FFFFFF;
 }
 
 .tdeOver td {
-    border-right: solid 1px #FFFFFF; 
-    border-bottom: solid 1px #FFFFFF; 
-    padding: 0px 3px 0px 3px ! important;
+    border-right: solid 1px #FFFFFF;
+	border-left: solid 1px #FFFFFF;
+    border-bottom: solid 1px #FFFFFF;
 }
 
@@ -300,8 +256,4 @@
 	font-size:18px;
 }
-
-
-
-
 
 .msg {
@@ -317,6 +269,6 @@
 
     display:inline;
-    font-size:11px; 
-    color:#643E41;	
+    font-size:11px;
+    color:#643E41;
 }
 
@@ -330,5 +282,5 @@
     margin: 3px 3px 3px 3px;
     padding: 2px 10px 2px 10px;
-	
+
 }
 .statusAF {
@@ -336,16 +288,16 @@
     background-repeat: no-repeat;
     margin: 3px 3px 3px 3px;
-    padding: 2px 10px 2px 10px;    
+    padding: 2px 10px 2px 10px;
 }
 .statusN {
-    
+
     background-image: url("../../images/indicadores/redondos/ap/ap04.jpg");
     background-repeat: no-repeat;
     margin: 3px 3px 3px 3px;
-    padding: 2px 10px 2px 10px; 
-    
+    padding: 2px 10px 2px 10px;
+
 }
 .statusNF {
-    
+
     background-image: url("../../images/indicadores/redondos/apf/ap04.jpg");
     background-repeat: no-repeat;
@@ -353,29 +305,29 @@
     padding: 2px 10px 2px 10px;
 
-    
+
 }
 .statusP {
-    
+
     background-image: url("../../images/indicadores/redondos/ap/ap03.jpg");
     background-repeat: no-repeat;
     margin: 3px 3px 3px 3px;
     padding: 2px 10px 2px 10px;
-    
+
 }
 .statusPF {
-    
+
     background-image: url("../../images/indicadores/redondos/apf/ap03.jpg");
     background-repeat: no-repeat;
     margin: 3px 3px 3px 3px;
     padding: 2px 10px 2px 10px;
-    
+
 }
 .statusM {
-    
+
     background-image: url("../../images/indicadores/redondos/ap/ap02.jpg");
     background-repeat: no-repeat;
     margin: 3px 3px 3px 3px;
     padding: 2px 10px 2px 10px;
-    
+
 }
 .statusMF {
@@ -400,13 +352,13 @@
 /*********  FORMULARIOS  *********/
 
-.botao { 
-    font-family: Verdana, Arial, Helvetica, sans-serif; 
+.botao {
+    font-family: Verdana, Arial, Helvetica, sans-serif;
     background-image: URL("../../images/fd_tr_principal.gif");
     vertical-align: middle;
-    font-size: 9pt; 
+    font-size: 9pt;
     text-align:center ;
-    border-color: #000000;  
-    border-style:outset; 
-    border: 1px solid #999999; 
+    border-color: #000000;
+    border-style:outset;
+    border: 1px solid #999999;
     padding: 0px 0px 0px 0px;
     font-size: 8pt;
@@ -414,12 +366,12 @@
     height: 20px;
 }
-.files { 
-    font-family: Verdana, Arial, Helvetica, sans-serif; 
+.files {
+    font-family: Verdana, Arial, Helvetica, sans-serif;
     background-image: URL("../../images/fd_tr_principal.gif");
     vertical-align: middle;
-    font-size: 9pt; 
-    border-color: #000000;  
-    border-style:outset; 
-    border: 1px solid #999999; 
+    font-size: 9pt;
+    border-color: #000000;
+    border-style:outset;
+    border: 1px solid #999999;
     padding: 0px 0px 0px 0px;
     font-size: 8pt;
@@ -483,8 +435,4 @@
 
 
-
-
-
-
 /* Abas */
 
@@ -492,16 +440,16 @@
     border-bottom: 1px solid #94ADC2;
 }
-  
+
 
 #tabnav {
-    
+
     margin: 0;
     position: relative;
-    margin: 0; 
+    margin: 0;
     padding: 0;
     padding-top: 10px;
 
 }
-    
+
 #tabnav a:link {
     float: left;
@@ -511,17 +459,17 @@
     margin-right: 3px;
     border: 1px solid #ccc;
-    border-bottom: 1px solid #FFFFFF !important; 
+    border-bottom: 1px solid #FFFFFF !important;
     text-decoration: none;
-    background-image: url("../../images/fundo.gif");  
+    background-image: url("../../images/fundo.gif");
     font-weight: normal;
     white-space: nowrap;
-    
-}
-
-   
+
+}
+
+
 #tabnav a:link.active, #tabnav a:visited.active {
-        
-	border: 1px solid #94ADC2 !important; 
-	border-bottom: 1px solid #FFFFFF !important; 
+
+	border: 1px solid #94ADC2 !important;
+	border-bottom: 1px solid #FFFFFF !important;
 	background-image: url("../../images/fundo_over3.jpg");
 	color: #000000;
@@ -532,5 +480,5 @@
 #tabnav a:hover {
     background-image: url("../../images/fundo_over2.jpg");
-    border-bottom: 1px solid #FFFFFF !important; 
+    border-bottom: 1px solid #FFFFFF !important;
     background-repeat: repeat-x;
     color: #000000;
@@ -538,5 +486,5 @@
     white-space: nowrap
 }
- 
+
 .aba_disabled {
 	float: left;
@@ -546,7 +494,7 @@
     margin-right: 3px;
     border: 1px solid #ccc;
-    border-bottom: 1px solid #FFFFFF !important; 
+    border-bottom: 1px solid #FFFFFF !important;
     text-decoration: none;
-    background-image: url("../../images/fundo.gif");  
+    background-image: url("../../images/fundo.gif");
     font-weight: normal;
     color: #C5CACD;
@@ -556,12 +504,12 @@
 /*USADO NA CLASSE DE LISTAGEM*/
 .div_visivel{
-    
+
     position: absolute;
-    top:2px;  
-    width:250px;  
+    top:2px;
+    width:250px;
     background-color: #F0F0F0;
     border: 1px solid #000000;
     padding: 5px;
-    
+
 }
 
@@ -592,5 +540,4 @@
     padding-left:5px;
     background-color: #DFEAF3;
-    /*border-bottom: 1px solid #E0E0E0; */
     color: black;
     font-family:arial;
Index: /trunk/workflow/inc/report/includes/classes/Listagem.class.php
===================================================================
--- /trunk/workflow/inc/report/includes/classes/Listagem.class.php	(revision 5307)
+++ /trunk/workflow/inc/report/includes/classes/Listagem.class.php	(revision 6413)
@@ -22,55 +22,55 @@
 
 class Listagem {
-     
+
     /**
      * Identificador da Listagem.
      */
     private $idlistagem;
-    
+
     /**
      * Tï¿œtulo da Listagem
      */
     private $titulo;
-    
+
     /**
      * Array de Colunas.
      */
     private $colunas = array();
-    
+
     /**
      * Array de Linhas de Detalhamento.
      */
     private $linhasdetalhamento = array();
-    
+
     /**
      * Array de Linhas Agrupadas
      */
     private $linhasagrupamento = array();
-    
+
     /**
      * Array de Dados.
      */
     private $dados = array();
-    
+
     /**
      * Exibe Header das Tables. (Tï¿œtulos das Colunas).
      */
     private $showthead = true;
-    
+
     /**
      * Array de Totalizadores.
      */
     private $totalizadores = array();
-    
+
     /**
      * Alterado para Protegido nï¿œo serï¿œ instanciado na classe.
      */
     //protected  $form = Formulario;
-    
+
     /**
      * Formulï¿œrio de Pesquisa.
      */
     //protected $formpesquisa = Formulario;
-    
+
     /**
      * Agrupar Resultados Alfabeticamente (True ou False)
@@ -82,160 +82,160 @@
 	 */
     private $arrindicadores = array();
-    
+
     /**
      * Array de Parï¿œmetros
      */
     private $arrparametros = array();
-    
+
     /**
      * Array de Agrupamentos
      */
     private $arragrupamentos = array();
-    
+
     /**
      * SubListagem.
      */
     public $subListagem;
-    
+
     /**
      * Indica se este objeto ï¿œ uma SubListagem.
      */
     private $issublist = false;
-    
+
     /**
      * Conexao com o Banco de Dados.
      */
     private $conexao;
-    
+
     /**
      * SQL da Listagem.
      */
     private $sql;
-    
+
     /**
      * Exibir SubTotalizadores
      */
     private $exibesubtotais = false;
-    
+
     private $exibedivcolunas = true;
-    
+
     /**
      * Exibir Totalizadores
      */
     private $_exibetotalizadores = true;
-    
+
     /**
      * Exibir Quantidade de Registros Encontrados
      */
     private $_exibeqtdregistros = true;
-    
+
     /**
      * Modo DEBUG
      */
     private $_debug = true;
-    
+
     /**
      * Array de Erros
      */
     private $_errors = array();
-    
+
     /**
      * Indica se a Listagem Possui algum checkbox
      */
     private $temcheck = false;
-    
-    /**
-     * Repetir Tï¿œtulo do Agrupamento. 
+
+    /**
+     * Repetir Tï¿œtulo do Agrupamento.
      */
     private $_repetirtituloagrupamento = true;
-    
+
     /**
      * Quantidade de Registros da Listagem Principal (Usada somente quando a listagem ï¿œ uma sublistagem.)
      */
     private $_qtdregistroslistagemprincipal = 0;
-    
+
     /**
      * Gerar Arquivo CSV.
      */
     private $_temarquivocsv = false;
-    
-    
+
+
     /**
      * Exibir Resultados na tela. (Usado quando somente serï¿œ exibido os resultados em CSV).
      */
     private $_exiberesultados = true;
-    
+
     /**
      * Gerar Automaticamente Arquivo CSV.
      */
     private $_exibearquivocsv = false;
-    
+
     /**
      * Colunas Arquivo CSV.
      */
     private $_colunasarquivo = array();
-    
+
     /**
      * Texto do Arquivo CSV.
      */
     private $_txtarquivocsv = "";
-    
-    
+
+
     /**
      * Array de Totalizadores.
      */
     private $arrtotais = array();
-    
+
     /**
      * Array de SubTotalizadores
      */
     private $arrsubtotais = array();
-     
-     
+
+
     /**
      * Mesagem: Nenhum Resultado Encontrado.
      */
     public $msgnenhumresultado = "Nenhum resultado encontrado.";
-    
+
     /**
      * Mensagem: registro(s) encontrado(s)
      */
     public $msgregistros = "registro(s) encontrado(s).";
-    
+
     /**
      * Mensagem: TOTAL:
      */
     public $msgtotalizador = "TOTAL:";
-    
+
     /**
      * Mensagem: SUB-TOTAL;
      */
     public $msgsubtotalizador = "SUB-TOTAL:";
-    
+
     private $_mostraLegendaTopo = true;
-    
+
     private $_mostraLegendaRodape = false;
-    
+
     private $_exibelinhasvazias = true;
-    
+
     private $_colunascsv;
-    
+
     private $_isarray = false;
-    
+
     private $_totalizadorprecisao = 2;
-    
+
     /*
      * ID da Listagem. que foi carregado.
      */
     private $_lstoid = "";
-    
+
     private $_url_base_path;
-    
+
     private $_tmp_file_path = "/tmp/";
-    
-     
+
+
     /**
      * Construï¿œï¿œo da Classe.
-     * 
+     *
      * @idlistagem Identificador da Listagem.
      * @titulo Tï¿œtulo da Listagem.
@@ -250,13 +250,13 @@
             $this->subListagem = new Listagem($novoidlistagem,"",$conexao,true);
             $this->subListagem->setMostrarQuantidadeRegistros(false);
-            $this->subListagem->setIdListagem($novoidlistagem); 
+            $this->subListagem->setIdListagem($novoidlistagem);
         }
         $this->setSubListagem($subListagem);
         $this->setConexao($conexao);
     }
-    
+
     /**
      * Indica se a Listagem ï¿œ uma SubListagem.
-     * 
+     *
      * @param $value (true,false)
      */
@@ -264,12 +264,12 @@
         $this->issublist = $value;
     }
-    
+
     public function setTotalizadorPrecisao($value) {
         $this->_totalizadorprecisao = $value;
     }
-    
+
     /**
      * Identificador da Listagem.
-     * 
+     *
      * @param $value (true,false)
      */
@@ -277,9 +277,9 @@
         $this->idlistagem = $value;
     }
-    
+
     public function setExibirOpcoesDeColunas($value) {
         $this->exibedivcolunas = $value;
     }
-    
+
     /**
      * Retorna o Identificador da Listagem.
@@ -288,5 +288,5 @@
         return $this->idlistagem;
     }
-    
+
     public function setUrlBasePath($base_path) {
     	$this->_url_base_path = $base_path;
@@ -295,44 +295,44 @@
     /**
      * Funï¿œï¿œo Interna para Alterar a Varï¿œavel de Conexï¿œo com o Banco de Dados.
-     * 
+     *
      * @param $conexao
      * @return unknown_type
      */
     protected function setConexao($conexao) {  $this->conexao = $conexao;  }
-     
+
     /**
      * Funï¿œï¿œo Interna para Alterar O SQL que serï¿œ executado na listagem.
-     * 
+     *
      * @param $sql
      * @return unknown_type
      */
     protected function setSQL($sql) {  $this->sql = $sql;  }
-     
+
     /**
      * Funï¿œï¿œo Interna para Recuperar o SQL que serï¿œ executado na listagem.
-     * 
+     *
      * @return unknown_type
      */
     public function getSQL() {  return $this->sql;  }
-     
+
     /**
      * Funï¿œï¿œo para Alterar o Tï¿œtulo da Listagem.
-     * 
+     *
      * @param $titulo
      * @return unknown_type
      */
     public function setTitulo($titulo) {  $this->titulo = $titulo;  }
-    
+
     /**
      * Funï¿œï¿œo para Alterar a forma de Exibiï¿œï¿œo da Listagem
-     * 
+     *
      * @param $exiberesultados
      * @return unknown_type
      */
     public function setExibirResultadosTela($exiberesultados) {  $this->_exiberesultados = $exiberesultados;  }
-    
+
     /**
      * Funï¿œï¿œo para Alterar a exibiï¿œï¿œo de linhas que nï¿œo exibem nenhum resultado, (linhas vazias)
-     * 
+     *
      * @param $exiberesultados
      * @return unknown_type
@@ -342,10 +342,10 @@
     /**
      * Funï¿œï¿œo para Alterar o Resultado da SQL executada.
-     * 
+     *
      * @param $dados
      * @return unknown_type
      */
     public function setDados($dados) {
-        $this->dados = &$dados;  
+        $this->dados = &$dados;
         if (is_resource($this->dados)) {
             $this->_isarray = false;
@@ -354,6 +354,6 @@
         }
     }
-    
-     
+
+
     /**
      * Funï¿œï¿œo utilizada para Executar o SQL e Carregar os dados a serem listados.
@@ -364,10 +364,10 @@
         $parser = new SqlParser($sql);
         $ret_parser = $parser->verificaSql();
-        
+
         if ($ret_parser === false) {
             $msg = $parser->getErro();
             $this->adicionarErro($msg,true);
         }
-        
+
         $ret_parser = $parser->verificaCondicoes();
         if ($ret_parser === false) {
@@ -376,5 +376,5 @@
         }
         $sql = $parser->getSql();
-        
+
         try {
                 $this->setSQL($sql);
@@ -384,14 +384,14 @@
                 if (!$resu) { throw new Exception($this->sql); }
                 $this->setDados($resu);
-                
+
                 return $resu;
-        
+
         } catch (exception $e) {
              $msg = $e->getMessage();
              $this->adicionarErro("Erro ao Executar a consulta: $msg",true);
         }
-        
-    }
-    
+
+    }
+
     /**
      * Funï¿œï¿œo utilizada para Executar o SQL e Carregar os dados a serem listados.
@@ -401,5 +401,5 @@
     public function carregarIDListagem($idlistagem,$previsualizacao = false) {
 
-        $sql = "select 
+        $sql = "select
                     lstoid,
                     lstversao,
@@ -427,13 +427,13 @@
                     lstexclusao,
                     lstexibe_resultados
-                from 
-                    listagem.listagem 
+                from
+                    listagem.listagem
                 where lstidlistagem = '$idlistagem'";
         $resu = pg_query($this->conexao,$sql);
-        
+
         $this->setIdListagem($idlistagem);
-        
+
         $arquivo = $_SERVER['PHP_SELF'];
-        
+
         if (stristr($arquivo,"cad_listagem.php")) {
            $arquivo = "null";
@@ -442,22 +442,22 @@
         if (pg_num_rows($resu)) {
             $dados = pg_fetch_object($resu);
-            
+
             $lstexclusao = $dados->lstexclusao;
-            
+
             if (($lstexclusao) && ($arquivo != "null")) {
             	$this->_debug = true;
                 $this->adicionarErro("Esta Consulta estï¿œ inativada, contate o suporte tï¿œcnico de sistemas.",true);
             }
-            
+
             $lstoid = $dados->lstoid;
             $this->_lstoid = $lstoid;
-            
-             
+
+
         /*    if ($arquivo != "null") {
                 $sql = "select lsdoid from listagem_dependencia where lsdlstoid = '$lstoid' and lsdarquivo ilike '%$arquivo%'";
                 $res_dependencia = pg_query($this->conexao,$sql);
                 $qtd_dependencia = pg_num_rows($res_dependencia);
-                
-                
+
+
                 if ($qtd_dependencia == 0) {
                 	$sql = "insert into listagem_dependencia (lsdlstoid,lsdarquivo,lsdacesso) values ($lstoid,'$arquivo',now())";
@@ -471,13 +471,13 @@
             }
             */
-            
-            
+
+
             $sql = html_entity_decode( $dados->lstsql, ENT_QUOTES);
-            
+
             $this->sql = $sql;
-            
+
            // if ($previsualizacao) { $addsql = " limit 20"; }
 
-            $sql_par = "select 
+            $sql_par = "select
                             lspoid,
                             lsplstoid,
@@ -485,11 +485,11 @@
                             lsptipo,
                             lspvalor_padrao,
-                            lspobrigatorio 
-                        from 
-                            listagem.listagem_parametro 
-                        where 
+                            lspobrigatorio
+                        from
+                            listagem.listagem_parametro
+                        where
                             lsplstoid = $lstoid ";
             $resu_par = pg_query($this->conexao,$sql_par);
-            
+
             while ($parametro = pg_fetch_object($resu_par)) {
                 $idparametro = $parametro->lspidparametro;
@@ -499,13 +499,13 @@
                 $obrigatorio = $parametro->lspobrigatorio;
                 $valor_padrao = $parametro->lspvalor_padrao;
-                
+
                 $this->adicionarParametro($idparametro,$tipo,$obrigatorio,$valor,$valor_padrao);
-                
+
                 if ($previsualizacao) {
                 	$this->setParametro($idparametro,$valor_padrao);
                 }
             }
-            
-            $sql_par = "select 
+
+            $sql_par = "select
                             lsioid,
                             lsilstoid,
@@ -515,10 +515,10 @@
                             lsilegenda,
                             lsilegenda_csv,
-                            lsicondicao 
-                        from 
-                            listagem.listagem_indicador 
+                            lsicondicao
+                        from
+                            listagem.listagem_indicador
                         where lsilstoid = $lstoid ";
             $resu_par = pg_query($this->conexao,$sql_par);
-            
+
             while ($indicador = pg_fetch_object($resu_par)) {
                 $idindicador = $indicador->lsiidindicador;
@@ -528,19 +528,19 @@
                 $legenda_csv = html_entity_decode($indicador->lsilegenda_csv, ENT_QUOTES);
                 $legenda     = html_entity_decode($indicador->lsilegenda, ENT_QUOTES);
-                
-                
-                if ($legenda_csv == "") { 
+
+
+                if ($legenda_csv == "") {
                 	$legenda_csv = $legenda;
                 }
                 $this->adicionarIndicador($idindicador,$condicao,$tipo,$imagem,$legenda,$legenda_csv);
             }
-            
-            
-            $this->setTitulo($dados->lsttitulo);   
+
+
+            $this->setTitulo($dados->lsttitulo);
             $this->setMensagemTotalizador($dados->lstmsg_totalizador);
-            $this->setMensagemRegistrosEncontrados($dados->lstmsg_registrosencontrados);           	
+            $this->setMensagemRegistrosEncontrados($dados->lstmsg_registrosencontrados);
             $this->setMensagemSubTotalizador($dados->lstmsg_subtotalizador);
             $this->setMensagemNenhumResultado($dados->lstmsg_nenhumresultado);
-            
+
             if ($dados->lstagrupamento_campo != "") {
                 if ($dados->lstagrupamento_titulo == "") {
@@ -554,6 +554,6 @@
                     $lstexibe_titagrupamento = false;
                 }
-                
-                
+
+
                 if ($dados->lstexibe_agrupamento_alfabetico == "t") {
                 	$lstexibe_agrupamento_alfabetico = true;
@@ -564,5 +564,5 @@
                 $this->setAgruparAlfabeticamente($lstexibe_agrupamento_alfabetico);
             }
-            
+
             if ($dados->lstexibe_csv == "f") {
                 $lstexibe_csv = false;
@@ -585,5 +585,5 @@
                 $lstexibe_subtotais = true;
             }
-            if ($dados->lstexibe_header == "f") { 
+            if ($dados->lstexibe_header == "f") {
             	$showthead = false;
             } else {
@@ -618,8 +618,8 @@
             $this->_exibetotalizadores = $lstexibe_totalizadores;
             $this->_exiberesultados = $lstexibe_resultados;
-            
-            
-            
-            $sql_colunas = "select 
+
+
+
+            $sql_colunas = "select
                                 lslcoid,
                                 lslclstoid,
@@ -642,11 +642,11 @@
                                 lslcsubtotalizador_condicao,
                                 lslccheckbox_condicao
-                            from 
-                                listagem.listagem_coluna 
-                            where 
-                                lslclstoid = $lstoid 
+                            from
+                                listagem.listagem_coluna
+                            where
+                                lslclstoid = $lstoid
                             order by lslcordem";
             $resu_colunas = pg_query($this->conexao,$sql_colunas);
-            
+
             while ($coluna = pg_fetch_object($resu_colunas)) {
                // print_r($coluna);
@@ -661,5 +661,5 @@
                 $link = $coluna->lslclink;
                 $link_condicao = $coluna->lslclink_condicao;
-                
+
                 $idcoluna       =  html_entity_decode($idcoluna, ENT_QUOTES);
                 $titulo         =  html_entity_decode($titulo, ENT_QUOTES);
@@ -667,5 +667,5 @@
                 $link           =  html_entity_decode($link, ENT_QUOTES);
                 $link_condicao  =  html_entity_decode($link_condicao, ENT_QUOTES);
-               
+
                 if ($coluna->lslccalculada == "t") {
                     $lslccalculada = true;
@@ -693,5 +693,5 @@
                     $lslclink_blank = false;
                 }
-                
+
                 if ($coluna->lslcexibe_csv == "t") {
                     $lslcexibe_csv = true;
@@ -699,12 +699,12 @@
                     $lslcexibe_csv = false;
                 }
-                
+
                 if ($lslcexibe_csv) {
-                	$this->_colunascsv .= "$idcoluna,"; 
-                }
-                
-                
+                	$this->_colunascsv .= "$idcoluna,";
+                }
+
+
                 if (($tipo == "text") || ($tipo == "data") || ($tipo == "hora") || ($tipo == "int") || ($tipo == "moeda")) {
-                    
+
                     if (($tipo == "int") && ($lslccheckbox)) {
                         if ($lstexibe_checkbox) {
@@ -713,11 +713,11 @@
                     } else {
                         //echo "idcoluna: $idcoluna -> $lslcnowrap";
-                        $this->adicionarColuna($idcoluna,$titulo,$html,$tipo,$align,$width,$lslcnowrap,$lslcvisivel);                    	
+                        $this->adicionarColuna($idcoluna,$titulo,$html,$tipo,$align,$width,$lslcnowrap,$lslcvisivel);
                     }
-                           
+
                     if ($link != "") {
                     	$this->adicionarLink($idcoluna,$link,$link_condicao,$lslclink_blank);
                     }
-                       
+
                     if ($lslccalculada) {
                     	$this->adicionarTotalizador($idcoluna,$condicao_totalizador,$condicao_subtotalizador);
@@ -725,10 +725,10 @@
                 }
             }
-            
+
         } else {
         	$this->_debug = true;
             $this->adicionarErro("Listagem nï¿œo encontrada.");
         }
-            
+
 
     }
@@ -745,5 +745,5 @@
         }
     //    if ($this->issublist) {
-            if (is_object($this->subListagem)) { 
+            if (is_object($this->subListagem)) {
                 $ret = $ret + $this->subListagem->getQuantidadeRegistros();
             }
@@ -754,26 +754,26 @@
     /**
      * Funï¿œï¿œo para Alterar a Mensagem de Registros Encontrados.
-     * 
+     *
      * @param $msg
      */
     public function setMensagemRegistrosEncontrados($msg) { $this->msgregistros = $msg; }
-    
+
     /**
      * Funï¿œï¿œo para Alterar a Mensagem de Total de Registros Encontrados.
-     * 
+     *
      * @param $msg
      */
     public function setMensagemTotalizador($msg) { $this->msgtotalizador = $msg; }
-    
+
     /**
      * Funï¿œï¿œo para Alterar a Mensagem de Sub-Total de Registros Encontrados
-     * 
+     *
      * @param $msg
      */
     public function setMensagemSubTotalizador($msg) { $this->msgsubtotalizador = $msg; }
-     
+
     /**
      * Funï¿œï¿œo para Alterar a Mensagem de "Nenhum Resultado Encontrado".
-     * 
+     *
      * @param $msg
      */
@@ -782,5 +782,5 @@
 	/**
 	 * Funï¿œï¿œo que Indica se a Listagem ï¿œ Agrupada Alfabeticamente
-	 * 
+	 *
 	 * @param value (true ou false)
 	 */
@@ -788,8 +788,8 @@
         $this->agruparAlfabeticamente = $value;
     }
-    
+
     /**
      * Funï¿œï¿œo para Alterar a Opï¿œï¿œo de Exibir os Sub-Totais de uma Listagem.
-     * 
+     *
      * @param $value (true ou false)
      */
@@ -797,21 +797,21 @@
         $this->exibesubtotais = $value;
     }
-    
+
     public function setMostrarTotal($value) {
         $this->_exibetotalizadores = $value;
     }
-    
+
     public function setMostrarLegendaTopo($value) {
         $this->_mostraLegendaTopo = $value;
     }
-    
+
     public function setMostrarLegendaRodape($value) {
         $this->_mostraLegendaRodape = $value;
     }
-    
-    
+
+
     /**
      * Funï¿œï¿œo para Alterar a Opï¿œï¿œo de Exibir a Quantidade de Registros Retornados da Listagem.
-     * 
+     *
      * @param $exibir (true ou false)
      */
@@ -822,5 +822,5 @@
     /**
      * Funï¿œï¿œo para adicionar uma Coluna na Listagem.
-     * 
+     *
      * @param $idcoluna
      * @param $tipo
@@ -846,5 +846,5 @@
         }
     }
-    
+
     function adicionarColunaCalculada($idcoluna,$tipo,$html,$condicao_total = "1",$condicao_subtotal = "1") {
     	$erro = false;
@@ -858,5 +858,5 @@
         }
     }
-    
+
     function adicionarLinhaDetalhamento($idlinha,$tipo,$html,$align = "left") {
         $width = "";
@@ -866,8 +866,8 @@
         array_push($this->linhasdetalhamento,$coluna);
     }
-     
+
     /**
      * Funï¿œï¿œo para Adicionar uma Coluna com CheckBoxes.
-     * 
+     *
      * @param $idcoluna
      * @param $titulo
@@ -887,8 +887,8 @@
         array_push($this->colunas,$coluna);
     }
-     
+
     /**
      * Funï¿œï¿œo utilizada Internamente para verificar se o idcoluna passado jï¿œ foi adicionado a listagem.
-     * 
+     *
      * @param $idcoluna
      * @return unknown_type
@@ -903,8 +903,8 @@
         return $ret;
     }
-     
+
     /**
      * Adiciona um Link para uma ou mais Colunas.
-     * 
+     *
      * @param $idcolunas (Ids das colunas separados por vï¿œrgula)
      * @param $link Link para ser redirecionado.
@@ -929,5 +929,5 @@
         }
     }
-    
+
     public function RemoverColuna($idcolunas){
     	$colunas = explode(",",$idcolunas);
@@ -947,6 +947,6 @@
         }
     }
-    
-    
+
+
     public function adicionarCor($idcolunas,$cor,$condicao = "1") {
         $colunas = explode(",",$idcolunas);
@@ -967,12 +967,12 @@
         }
     }
-     
+
     /**
      * Funï¿œï¿œo para Adicionar um Indicador (Legenda).
-     * 
+     *
      * @param $idindicador Cï¿œdigo Interno de Identificaï¿œï¿œo do Identificador
      * @param $condicao Condiï¿œï¿œo em PHP para Exibir o Indicador.
      * @param $tipo R,Q,T (REDONDO,QUADRADO,TRIANGULO)
-     * @param $codigoimagem (1 a 19). 
+     * @param $codigoimagem (1 a 19).
      * @param $legenda Legenda
      * @return unknown_type
@@ -984,8 +984,8 @@
         array_push($this->arrindicadores[$idindicador],$Indicador);
     }
-     
+
     /**
      * Funï¿œï¿œo para Desenhar a Listagem.
-     * 
+     *
      * @return HTML
      */
@@ -998,7 +998,7 @@
             $sql =  html_entity_decode($sql, ENT_QUOTES);
             $this->carregar($sql);
-           
-        }
-        
+
+        }
+
         if ($this->_exibearquivocsv) {
             	$this->gerarArquivoXLS($this->_colunascsv);
@@ -1009,5 +1009,5 @@
         $this->escreveFechaList();
     }
-    
+
     function incluiCssJavascript($addpath = "") {
     	echo "\n\n<script language=\"Javascript\" type=\"text/javascript\" src=\"$addpath/includes/js/mascaras.js\"></script>\n
@@ -1018,12 +1018,12 @@
 <link rel=\"stylesheet\" href=\"$addpath/includes/css/base_form.css\" media=\"screen\"></link>\n
 <link rel=\"stylesheet\" href=\"$addpath/includes/css/calendar.css\" media=\"screen\"></link>\n\n";
-    	
-    }
-    
+
+    }
+
     protected function escreveLegenda() {
         if ($this->_exiberesultados) {
         	if (count($this->arrindicadores)) {
                 $colspan=0;
-                
+
                 echo  "\n\t<table width='100%' class='TableMoldura''>
        	 			   \n\t\t<tr class='tableSubTitulo'>
@@ -1055,16 +1055,16 @@
         }
     }
-     
+
     /**
      * Funï¿œï¿œo que desenha o cabeï¿œalho da Listagem.
-     *  
+     *
      * @return HTML
      */
     protected function escreveAbreList() {
         $colspan = count($this->colunas);
-        
+
         $htmldivs = "";
         $html_icone = "";
-        
+
         if (!$this->issublist) {
         	if ($this->_mostraLegendaTopo) {
@@ -1074,5 +1074,5 @@
 
             if ($this->_exiberesultados) {
-            	
+
             	if ($this->exibedivcolunas) {
                 $html_icone = '<b>[<img id="'. $this->idlistagem . '_img_visivel" src="' . $this->_url_base_path . '/images/icones/maisTransparente.gif" OnClick="ListagemShowHide(event,\''. $this->idlistagem . '\',\''. $this->idlistagem . '_img_visivel\');" OnMouseOver="this.style.cursor=\'pointer\';" OnMouseOut="this.style.cursor=\'default\';">]</b>';
@@ -1080,8 +1080,8 @@
 
                // $html_icone .= '&nbsp;&nbsp;<b>[<img id="'. $this->idlistagem . '_img_grafico_visivel" src="images/icones/t1/fileGrafico.jpg" OnClick="ListagemShowHide(event,\''. $this->idlistagem . '\',\''. $this->idlistagem . '_img_grafico_visivel\');" OnMouseOver="this.style.cursor=\'pointer\';" OnMouseOut="this.style.cursor=\'default\';">]</b>';
-                                
+
                 $cnt = 0;
                 $htmlchecks = "";
-                
+
                 foreach ($this->colunas as $coluna) {
                 	$titulo = $coluna->getNome();
@@ -1091,15 +1091,15 @@
                     $addvisivel = "";
                     if ($visivel) { $addvisivel = "checked"; }
-                    
+
                     $adddisabled = "";
                     if ($cnt == 0) { $adddisabled = " disabled"; $cnt = $cnt + 1; }
-                    
+
                     $htmlchecks .= '<input type="checkbox" class="checkbox" name="' . $idlistagem . '_ck_visivel_' . $idcoluna . '" id="' . $idlistagem . '_ck_visivel_' . $idcoluna . '" OnClick=" document.getElementById(\'' . $idlistagem . '_div_visivel\').style.display = \'none\'; document.getElementById(\'' . $idlistagem . '_div_visivel_load\').style.display = \'\'; alinhaDivDir(\'' .$idlistagem. '_div_visivel_load\'); setTimeout(\'ListagemExibeOcultaColuna(\\\'' . $idlistagem. '\\\',\\\'' .$idcoluna . '\\\');\')" value="' .$idcoluna . '" ' . $addvisivel .$adddisabled . '> ' . $titulo . '<br>';
-                    
-                }
-                
-
-                $htmldivs = '<div id="' . $idlistagem. '_div_visivel" class="div_visivel" style="display:none;">  
-                                    <table width="100%">          
+
+                }
+
+
+                $htmldivs = '<div id="' . $idlistagem. '_div_visivel" class="div_visivel" style="display:none;">
+                                    <table width="100%">
                                         <tr>
                                             <td align="right">' .$html_icone_2. '</td>
@@ -1107,5 +1107,5 @@
                                         <tr>
                                             <td style="padding-left:5px;">'
-.$htmlchecks . 
+.$htmlchecks .
 '
 
@@ -1123,11 +1123,11 @@
                                     </table>
                                 </div>';
-            
+
                    }
             	}
-        
-            
-        }
- 
+
+
+        }
+
         echo  "\n\t$htmldivs<table id='Listagem_" . $this->getIdListagem() . "' width='100%'$addclass>
 	             \n\t\t<tr class='tableSubTitulo'>
@@ -1135,13 +1135,13 @@
 	             \n\t\t</tr>";
     }
-    
+
     /**
      * Funï¿œï¿œo que desenha o HTML que fecha a listagem.
-     * 
+     *
      * @return HTML
      */
     protected function escreveFechaList() {
         echo  "\n\t</table>";
-        
+
         if (!$this->issublist) {
         	if ($this->_mostraLegendaRodape) {
@@ -1150,5 +1150,5 @@
         }
     }
-    
+
     public function setAgrupamento($idagrupamento,$titulo = "",$repetirtitulo = false) {
         $width = "";
@@ -1157,5 +1157,5 @@
       	//$html = "{" . $idagrupamento .  "}";
       	$html = $idagrupamento;
-        if ($titulo == "") { 
+        if ($titulo == "") {
         	$titulo = "{" . $idagrupamento . "}";
         	$repetirtitulo = true;
@@ -1167,5 +1167,5 @@
         array_push($this->linhasagrupamento,$coluna);
     }
-    
+
     public function setParametro($idparametro,$valor) {
     	foreach ($this->arrparametros as $k => $parametro) {
@@ -1175,5 +1175,5 @@
     	}
     }
-    
+
     public function adicionarParametro($idparametro,$tipo,$obrigatorio = false,$valor = "",$valortestes = "") {
         $parametros = array();
@@ -1183,5 +1183,5 @@
         $parametros["obrigatorio"] = $obrigatorio;
         $parametros["valor_testes"] = $valortestes;
-        
+
         if ($this->_debug) {
         	if (($tipo != "text") && ($tipo != "int") && ($tipo != "data")) {
@@ -1190,5 +1190,5 @@
         	}
         }
-        
+
         if (!$this->isParametro($idparametro)) {
             array_push($this->arrparametros,$parametros);
@@ -1199,5 +1199,5 @@
         }
     }
-    
+
     public function getSQLParametros() {
         $sql = $this->sql;
@@ -1213,10 +1213,10 @@
         return $sqlparametros;
     }
-    
+
     protected function formataSQLParametros() {
         $sql = $this->sql;
-        
+
         $parametrosconsulta = $this->getSQLParametros();
-        
+
         foreach ($parametrosconsulta as $parametro_consulta) {
             $achou = false;
@@ -1240,11 +1240,11 @@
             }
         }
-        
-        
+
+
     	foreach ($this->arrparametros as $parametro) {
             $idparametro = $parametro["idparametro"];
             $valor = $parametro["valor"];
             $obrigatorio = $parametro["obrigatorio"];
-            if (($obrigatorio == "t") && ($valor == "")) { 
+            if (($obrigatorio == "t") && ($valor == "")) {
                 $this->_debug=true;
             	$this->adicionarErro("Parï¿œmetro '$idparametro ' ï¿œ obrigatï¿œrio.",true);
@@ -1260,5 +1260,5 @@
         $this->sql = $sql;
     }
-    
+
     protected function isParametro($idparametro) {
     	$ret = false;
@@ -1270,5 +1270,5 @@
         return $ret;
     }
-    
+
     protected function isTotalizador($idcoluna) {
         $ret = false;
@@ -1280,7 +1280,7 @@
         return $ret;
     }
-    
+
     function adicionarTotalizador($idcolunas,$condicaototal = "1",$condicaosubtotal = "1") {
-        
+
         $colunas = explode(",",$idcolunas);
         foreach ($colunas as $idcoluna) {
@@ -1291,5 +1291,5 @@
             }
             if (!$erro) {
-                
+
                 $totalizador = array();
                 $totalizador["idcoluna"] = $idcoluna;
@@ -1297,10 +1297,10 @@
                 $totalizador["condicaosubtotal"] = $condicaosubtotal;
                 $this->totalizadores[$idcoluna] = $totalizador;
-                
-            }
-        }
-        
-    }
-    
+
+            }
+        }
+
+    }
+
     protected function escreveArquivo($arquivo) {
         if ($this->_temarquivocsv) {
@@ -1309,9 +1309,9 @@
         }
     }
-    
-     
+
+
     /**
      * Funï¿œï¿œo para desenhar as Linhas da Listagem.
-     * 
+     *
      * @return HTML
      */
@@ -1322,5 +1322,5 @@
         $handle = "";
         //$nomeform = $this->formpesquisa->getNome();
-        
+
         if ($this->_temarquivocsv) {
             if (!$this->issublist) {
@@ -1329,5 +1329,5 @@
             }
         }
-        
+
         if ($this->showthead) {
             if ($this->_exiberesultados) {
@@ -1355,5 +1355,5 @@
 		    	$this->_txtarquivo .= "\n";
                 $this->escreveArquivo($handle);
-                
+
             }
         }
@@ -1382,15 +1382,15 @@
             }
             $class= "";
-            
+
             $qtdlinhas = 0;
-            
+
             $qtd_registros = $this->getQuantidadeRegistros();
 
 
             for ($qtd_reg = 1;$qtd_reg <= $qtd_registros; $qtd_reg++) {
-                
+
                 if ($this->_isarray) {
                     if ($qtd_reg == 1) {
-                        reset($this->dados); 
+                        reset($this->dados);
                         $linha = current($this->dados);
                     } else {
@@ -1400,9 +1400,9 @@
                     $linha = pg_fetch_array($this->dados);
                 }
-            
+
                 $cnt = $cnt + 1;
-                
+
                 $qtdlinhas = $qtdlinhas + 1;
-                
+
                 $class = ( $class == "tdc" ) ? "tde" : "tdc";
 
@@ -1420,5 +1420,5 @@
                         	$tituloagrupamento = $coluna->replaceValorLinha($coluna->getNome(),$linha);
                         }
-                        
+
                         if ($this->agruparAlfabeticamente) {
                             $tituloagrupamento = strtoupper(substr($tituloagrupamento,0,1));
@@ -1428,14 +1428,14 @@
                         	$newagrupamento = strtoupper($htmlcoluna);
                         }
-                        
-                        
-                        
+
+
+
                         //AGRUPAMENTO
                         $cntcheckspan = 0;
                         if ($newagrupamento != $lastagrupamento) {
                             $cntagrupamentos = $cntagrupamentos + 1;
-                            
+
                             $arragrupamentos[$cntagrupamentos] = $newagrupamento;
-                            
+
                             //TOTALIZADOR SUB-TOTAL DO AGRUPAMENTO.
                             if ($this->exibesubtotais) {
@@ -1449,17 +1449,12 @@
                                              $idcol = $coluna->getIdColuna();
                                              if ($this->isTotalizador($coluna->getIdColuna())) {
-                                                 if (!$mostroutotal) { 
-                                                     $addtexto = "<h3>" . $this->msgsubtotalizador . "</h3>"; 
-                                                     $txtarquivotexto = $this->msgsubtotalizador ; 
-                                                     $mostroutotal = true; 
+                                                 if (!$mostroutotal) {
+                                                     $addtexto = "<h3>" . $this->msgsubtotalizador . "</h3>";
+                                                     $txtarquivotexto = $this->msgsubtotalizador ;
+                                                     $mostroutotal = true;
                                                  } else {
                                                      $addtexto = "";
                                                  }
-                                                 if ($cntcheckspan) { 
-                                                   /* for ($j=1; $j< $cntcheckspan; $j++) {
-                                                         echo  "<td id='subtotal_" . $idcol . "_$cntagrupamentos' align='right'>&nbsp;</td>";
-                                                    }*/
-                                                    
-                                                   // echo  "<td id='subtotal_" . $idcol . "_" . $cntagrupamentos . "' align='right'>&nbsp;</td>";
+                                                 if ($cntcheckspan) {
                                                  	if ($this->_temarquivocsv) {
 	                                                 	for ($j=1; $j<= $cntcheckspan; $j++) {
@@ -1469,6 +1464,6 @@
 	                                                 		$this->_txtarquivo .= ";";
 	                                                 	}
-                                                 	} 
-                                                 } 
+                                                 	}
+                                                 }
                                                  $cntcheckspan = 0;
                                                  $addvisivel = "";
@@ -1486,5 +1481,5 @@
                                                  }
                                                  if ($this->_exiberesultados) {
-                                                    echo  "<td  id='subtotal_" . $idcol . "_$cntagrupamentos' align='right'$addvisivel>$addtexto<h3>" . $subtotal_valor . "</h3>&nbsp;</td>";
+                                                    echo  "<td  id='subtotal_" . $idcol . "_$cntagrupamentos' align='right'$addvisivel>$addtexto<h3>" . $subtotal_valor . "</h3></td>";
                                                  }
                                                  $this->_txtarquivo .= $subtotal_valor . ";";
@@ -1497,5 +1492,5 @@
                                                  }
                                                  if ($this->_exiberesultados) {
-                                                    echo  "<td id='subtotal_$idcol" . "_" . $cntagrupamentos . "' $addvisivel>&nbsp;</td>";
+                                                    echo  "<td id='subtotal_$idcol" . "_" . $cntagrupamentos . "' $addvisivel></td>";
                                                  }
                                              }
@@ -1512,7 +1507,7 @@
                                 }
                             }
-                            
-                            
-                            
+
+
+
                             if (($this->_repetirtituloagrupamento) || (!$mostroutituloagrupamento)) {
                                 if ($this->_exiberesultados) {
@@ -1527,14 +1522,14 @@
 	                            $mostroutituloagrupamento = true;
                             }
-                            
+
                         }
-                        
+
                     }
-                    
-                }
-                
-                
+
+                }
+
+
                 if (count($this->colunas)) {
-                    
+
                     $addvisivellinha = "";
                     if ($this->_exibelinhasvazias == false) {
@@ -1549,5 +1544,5 @@
                         }
                     }
-                    
+
                     //if ($exibe_linha) {
                         if ($this->_exiberesultados) {
@@ -1561,5 +1556,5 @@
                                 $align = $coluna->getAlign();
                                 if ($coluna->getNowrap()) { $addnowrap = " nowrap"; }
-        
+
         						if ($this->issublist) {
         							$idtd = $cnt -2;
@@ -1568,17 +1563,17 @@
         						}
                                 $htmlcoluna = $coluna->getHtml($linha,$this->arrindicadores,$class,$idtd);
-                                
+
                                 if (($coluna->getTipo() == "check") && ($htmlcoluna != "")) { $temcheck = true; $this->temcheck = true; }
                             }
-                            if ($this->isTotalizador($coluna->getIdColuna())) { 
+                            if ($this->isTotalizador($coluna->getIdColuna())) {
                                 $condicaototal = $this->totalizadores[$coluna->getIdColuna()]["condicaototal"];
                                 $condicaosubtotal = $this->totalizadores[$coluna->getIdColuna()]["condicaosubtotal"];
                                 $htmlvalorcoluna = $coluna->getValorHTML($linha);
-                                if ($condicaototal != "1") { 
+                                if ($condicaototal != "1") {
                                     $ret_total = $coluna->validaCondicao($condicaototal,$linha,false);
                                 } else {
                                     $ret_total = true;
                                 }
-                                
+
                                 if ($ret_total) {
                                     $tipo_coluna = $coluna->getTipo();
@@ -1601,5 +1596,5 @@
                                     }
                                 }
-                                if ($condicaosubtotal != "1") { 
+                                if ($condicaosubtotal != "1") {
                                     $ret_subtotal = $coluna->validaCondicao($condicaosubtotal,$linha,false);
                                 } else {
@@ -1640,12 +1635,12 @@
                             	$addvisivel = " style='display: none;' ";
                             }
-                            
+
                             if ($this->_exiberesultados) {
                             	echo  "\n\t\t\t<td id='td_" . $coluna->getIdColuna() . "_" . $idtd . "' " . $falign . $fwidth .  " align='$align'" . $addnowrap . $addvisivel .  ">" . nl2br($htmlcoluna)  . "</td>";
                             }
                         }
-                        
-                        
-    
+
+
+
                         //ARQUIVO CSV
                         if ($this->_temarquivocsv) {
@@ -1666,11 +1661,11 @@
                     $this->adicionarErro("Nenhuma coluna foi adicionada.",true);
                 }
-                
-                                
+
+
                 if ($this->_temarquivocsv) {
                 	$this->_txtarquivo .= "\n";
                     $this->escreveArquivo($handle);
                 }
-                
+
                 //LINHA ADICIONAL DE OBSERVAï¿œï¿œES, (DETALHAMENTO)
                 if (count($this->linhasdetalhamento)) {
@@ -1683,5 +1678,5 @@
                         $htmlcoluna = "";
                         $htmlcoluna = $coluna->getHtml($linha,$this->arrindicadores,$class,$qtdlinhas - 1);
-                        
+
                         if ($this->_exiberesultados) {
                             if ($htmlcoluna == "") {
@@ -1691,5 +1686,5 @@
                             echo  "\n\t\t\t<td id='td_" . $coluna->getIdColuna() . "_" . $idtd . "' " . $falign . $fwidth . $addnowrap . " align='$align' colspan='" . count($this->colunas) . "'>" . $htmlcoluna  . "</td>";
                             echo  "\n\t\t</tr>";
-                            
+
                         }
                         if ($this->_temarquivocsv) {
@@ -1700,15 +1695,15 @@
 	                    }
                     }
-                    
-                }
-                
+
+                }
+
                 $lastagrupamento = $newagrupamento;
                 //$lastval = "";
             }
         }
-        
+
         $this->escreveArquivo($handle);
 
-        if (count($this->totalizadores)) {            
+        if (count($this->totalizadores)) {
             if ($this->exibesubtotais) {
                 if ($this->_exiberesultados) {
@@ -1723,19 +1718,14 @@
                      $idcol = $coluna->getIdColuna();
                      if ($this->isTotalizador($coluna->getIdColuna())) {
-                         
-                         if (!$mostrousubtotal) { 
-                             $addtexto = "<h3>" . $this->msgsubtotalizador . "</h3>"; 
-                             $mostrousubtotal = true; 
+
+                         if (!$mostrousubtotal) {
+                             $addtexto = "<h3>" . $this->msgsubtotalizador . "</h3>";
+                             $mostrousubtotal = true;
                              $txtarquivotexto = $this->msgsubtotalizador;
                          } else {
                              $addtexto = "";
                          }
-                         if ($cntcheckspan) { 
-                            
-                         /*   for ($j=1; $j< $cntcheckspan; $j++) {
-                                 echo  "<td id='subtotal_$idcol' align='right'>&nbsp;</td>";
-                            } 
-                            
-                         	echo  "<td id='subtotal_titulo_$idcol' align='right'>&nbsp;$addtexto</td>";*/
+                         if ($cntcheckspan) {
+
                          	if ($this->_temarquivocsv) {
                              	for ($j=1; $j<= $cntcheckspan; $j++) {
@@ -1745,6 +1735,6 @@
                              		$this->_txtarquivo .= ";";
                              	}
-                         	 } 
-                         } 
+                         	 }
+                         }
                          $cntcheckspan = 0;
                          $addvisivel = "";
@@ -1762,5 +1752,5 @@
                              }
                              if ($this->_exiberesultados) {
-                        	   echo  "<td id='subtotal_$idcol" . "_" . $cntagrupamentos . "' align='right'$addvisivel>$addtexto&nbsp;<h3>" . $subtotal_valor . "</h3>&nbsp;</td>";
+                        	   echo  "<td id='subtotal_$idcol" . "_" . $cntagrupamentos . "' align='right'$addvisivel>$addtexto&nbsp;<h3>" . $subtotal_valor . "</h3></td>";
                              }
                              if (in_array($idcol,$this->_colunasarquivo)) {
@@ -1773,5 +1763,5 @@
                          }
                          if ($this->_exiberesultados) {
-                            echo  "<td id='subtotal_$idcol" . "_" . $cntagrupamentos . "' $addvisivel>&nbsp;</td>";
+                            echo  "<td id='subtotal_$idcol" . "_" . $cntagrupamentos . "' $addvisivel></td>";
                          }
                          if ($this->_temarquivocsv) {
@@ -1789,7 +1779,7 @@
                 }
             }
-            
-            
-            
+
+
+
             if ($this->_exibetotalizadores) {
                 if ($this->_exiberesultados) {
@@ -1799,17 +1789,17 @@
                 $cntcheckspan = 0;
                 foreach ($this->colunas as $coluna) {
-                     
+
 
                      $idcol = $coluna->getIdColuna();
                      if ($this->isTotalizador($coluna->getIdColuna())) {
-                         if (!$mostroutotal) { 
-                             $addtexto = "<h3>" . $this->msgtotalizador .  "</h3>"; 
-                             $mostroutotal = true; 
+                         if (!$mostroutotal) {
+                             $addtexto = "<h3>" . $this->msgtotalizador .  "</h3>";
+                             $mostroutotal = true;
                              $txtarquivotexto = $this->msgtotalizador;
                          } else {
                              $addtexto = "";
                          }
-                         
-                         if ($cntcheckspan) { 
+
+                         if ($cntcheckspan) {
                             if ($this->_temarquivocsv) {
                                 for ($j=1; $j<= $cntcheckspan; $j++) {
@@ -1819,6 +1809,6 @@
                                     $this->_txtarquivo .= ";";
                                 }
-                            } 
-                         } 
+                            }
+                         }
                          $cntcheckspan = 0;
                          $addvisivel = "";
@@ -1855,5 +1845,5 @@
                                 $this->_txtarquivo .= ";";
                             }
-                         } 
+                         }
                      }
                 }
@@ -1863,15 +1853,15 @@
                 if ($this->_temarquivocsv) {
                     $this->_txtarquivo .= "\n";
-                } 
-            }
-        }
-        
+                }
+            }
+        }
+
         $this->escreveArquivo($handle);
-        
-        
+
+
         if (!$this->issublist) {
             if (is_object($this->subListagem)) {
                 if ($this->subListagem->getQuantidadeRegistros()) {
-                	$this->subListagem->gerarArquivoXLS(); 
+                	$this->subListagem->gerarArquivoXLS();
                     ob_start();
                     $this->subListagem->desenhar();
@@ -1883,5 +1873,5 @@
                     if ($this->_exiberesultados) {
                         echo  "<tr><td colspan='$colspan'>";
-                        echo  $htmllist;            
+                        echo  $htmllist;
                         echo  "</td></tr>";
                     }
@@ -1893,10 +1883,10 @@
             }
         }
-        
+
         $this->escreveArquivo($handle);
-        
-        
-   /*  
-       EXIBIR OS BOTï¿œES DE + E - PARA QUANDO POSSUIR COLUNAS COM CHECKBOXES. COMENTADO POR QUE Nï¿œO FUNCIONA SE TIVER MAIS DE UM FORMULï¿œRIO NA MESMA JANELA. */  
+
+
+   /*
+       EXIBIR OS BOTï¿œES DE + E - PARA QUANDO POSSUIR COLUNAS COM CHECKBOXES. COMENTADO POR QUE Nï¿œO FUNCIONA SE TIVER MAIS DE UM FORMULï¿œRIO NA MESMA JANELA. */
         if (!$this->issublist) {
             if ($temcheck) {
@@ -1923,6 +1913,6 @@
             }
         }
-        
-        
+
+
 
         if ($this->_exibeqtdregistros) {
@@ -1946,18 +1936,18 @@
                 echo   "</td>\n\t\t</tr>";
             }
-            
-        }
-        
+
+        }
+
         $this->escreveArquivo($handle);
-        
+
 
         if ($this->_temarquivocsv) {
         	if (!$this->issublist) {
-                
-		        
+
+
 		        fclose($handle);
-		
+
 		        $link=$tmpfname;
-		        
+
 		        if ($cnt != 0) {
 			        echo   "\n\t\t<tr class='tableRodapeModelo3'>\n\t\t\t<td colspan='$colspan' align=center>";
@@ -1977,10 +1967,10 @@
 			$this->form->addCampoAcao("btn_arquivo","onclick","window.open('gera_csv_to_excel.php?arquivocsv=" . $link . "');");
 			$this->form->addQuadro("quadro_arquivo");
-			$this->form->addQuadroButton("quadro_arquivo","btn_arquivo"); 
+			$this->form->addQuadroButton("quadro_arquivo","btn_arquivo");
 	     */
         }
-        
-        /*    
-          FORMULï¿œRIO   
+
+        /*
+          FORMULï¿œRIO
         if (!$this->issublist) {
             if ($cnt != 0) {
@@ -1991,5 +1981,5 @@
                     $this->form->displayErros();
                     $htmlform = ob_get_contents();
-        
+
                     ob_end_clean();
                     echo  $htmlform;
@@ -2000,19 +1990,19 @@
             $this->form->fechaForm();
             $htmlform = ob_get_contents();
-            ob_end_clean(); 
+            ob_end_clean();
         } */
         //echo  $htmlform;
-        
+
         $this->arrtotais = $arrtotais;
         $this->arrsubtotais = $arrsubtotais_todos;
         $this->arragrupamentos = $arragrupamentos;
-        
-        
-    }
-    
+
+
+    }
+
     public function setDebug($value) {
         $this->_debug = $value;
     }
-     
+
     /**
      * Funï¿œï¿œo usada internamente para adicionar um erro ao formulï¿œrio.
@@ -2025,10 +2015,10 @@
         $erro = array("msgerro" => $msgerro,"fatal" => $fatal);
         array_push($this->_errors,$erro);
-         
+
         if ($fatal) {
             $this->escreveErros();
             exit;
         }
-         
+
     }
 
@@ -2063,5 +2053,5 @@
         }
     }
-    
+
     public function gerarArquivoXLS($colunasarquivo = "") {
     	if ($colunasarquivo == "") {
@@ -2070,5 +2060,5 @@
     			if ($coluna->getVisibilidade()) {
     			  $colunasarquivo .= $coluna->getIdColuna() . ",";
-    			} 
+    			}
     		}
     		$colunasarquivo = substr($colunasarquivo,0,strlen($colunasarquivo)-1);
@@ -2077,47 +2067,47 @@
     	$txtarquivo = "";
     	$this->_colunasarquivo = $arcolunas;
-		$this->_temarquivocsv = true; 
-    }
-    
+		$this->_temarquivocsv = true;
+    }
+
     /*
      * Funï¿œï¿œo utilizada pra somar intervalos de Horas */
     public function somaIntervaloHoras($arrValores){
-    
+
         // Somando separadamente os valores
         foreach($arrValores as $valor){
-        
+
             $arrTmp = explode(':',$valor);
-        
+
             $seg += $arrTmp[2];
             $min += $arrTmp[1];
-            $hor += $arrTmp[0]; 
-        }
-        
+            $hor += $arrTmp[0];
+        }
+
         // Tratando os segundos
         if( $seg >= 60){
-        
+
             $min += floor($seg / 60) ;
-            
+
             while($seg >= 60){
-                
+
                 $seg = $seg - 60;
             }
-        
+
         }
         // Tratando os minutos
         if( $min >= 60){
-        
+
             $hor += floor($min / 60) ;
-            
+
             while($min >= 60){
-                
+
                 $min = $min - 60;
             }
-        
-        }
-        
+
+        }
+
         return str_pad($hor,2,'0',STR_PAD_LEFT).':'.str_pad($min,2,'0',STR_PAD_LEFT).':'.str_pad($seg,2,'0',STR_PAD_LEFT);
     }
-    
+
     /**
      * Funï¿œï¿œo que Retorna se a listagem Possui um checkBox adicionado.
@@ -2126,12 +2116,12 @@
         return $this->temcheck;
     }
-    
-    /**
-     * Funï¿œï¿œo que retorna o array com os Totalizadores. 
+
+    /**
+     * Funï¿œï¿œo que retorna o array com os Totalizadores.
      */
     public function getTotais() {
     	return $this->arrtotais;
     }
-    
+
     /**
      * Funï¿œï¿œo que Retorna o array com os Sub-Totalizadores.
@@ -2140,5 +2130,5 @@
     	return $this->arrsubtotais;
     }
-    
+
     /**
      * Funï¿œï¿œo que Retorna o array com os Sub-Totalizadores.
@@ -2147,12 +2137,12 @@
         return $this->arragrupamentos;
     }
-    
+
     /**
      * Funï¿œï¿œo Interna Utilizada quando a Listagem possui uma sublistagem para guardar quantos registros a listagem principal tem.
      */
     protected function setQuantidadeRegistrosListagemPrincipal($value) {
-    	$this->_qtdregistroslistagemprincipal = $value; 
-    }
-    
+    	$this->_qtdregistroslistagemprincipal = $value;
+    }
+
     /**
      * Funï¿œï¿œo Interna Utilizada quando a Listagem possui uma sublistagem para retornar quantos registros a listagem principal tem.
@@ -2161,9 +2151,9 @@
     	return $this->_qtdregistroslistagemprincipal;
     }
-    
+
     protected function getTextoArquivoCSV() {
     	return $this->_txtarquivo;
     }
-    
+
     public function autoAdicionarColunas() {
     	$i = pg_num_fields($this->dados);
@@ -2171,5 +2161,5 @@
             $fieldname = pg_field_name($this->dados, $j);
             $tipo = pg_field_type($this->dados, $j);
-            $this->adicionarColuna("coluna_" .$j,"$fieldname","{" . $fieldname . "}","text","left");  
+            $this->adicionarColuna("coluna_" .$j,"$fieldname","{" . $fieldname . "}","text","left");
         }
     }
